Which package is safe to remove with ispconfig and PHP apps

Discussion in 'Linux Beginners' started by pecka33, Nov 13, 2021.

  1. pecka33

    pecka33 Member

    Hello,

    i am using debian 11 with php 5.6 and php 7.4 versions. I would like to remove some packages for better orientation. I am using standard php apps - phpbb system, phpmyadmin and ispconfig with webmail, that is all. Only php website. I have installed and some package was preinstalled when i buy my vps from vps provider. List my installed package is here. For example there is a lot of times for python 3, not sure if i can remove it, a have disable it in ispconfig for domains. For example i will removed ruby because i dont need it.

    Is safety to remove for example python when i am using ispconfig? If somebody will have idea about any unnecessary which i can remove from this list, let me know please, thanks :)

    In Attached File you can see list of all installed packages

    Code:
    python-apt-common/stable,stable,now 2.2.1 all [installed,automatic]
    python-certbot-apache/now 0.31.0-1 all [installed,local]
    python-pip-whl/stable,stable,now 20.3.4-4 all [installed,automatic]
    python2.7-minimal/stable,stable,now 2.7.18-8 amd64 [installed,automatic]
    python2.7/stable,stable,now 2.7.18-8 amd64 [installed]
    python3-acme/stable,stable,now 1.12.0-2 all [installed,automatic]
    python3-apt/stable,stable,now 2.2.1 amd64 [installed,automatic]
    python3-astropy/stable,stable,now 4.2-6 amd64 [installed,automatic]
    python3-attr/stable,stable,now 20.3.0-1 all [installed,automatic]
    python3-augeas/stable,stable,now 0.5.0-1.1 all [installed,automatic]
    python3-backcall/stable,stable,now 0.2.0-1 all [installed,automatic]
    python3-blist/stable,stable,now 1.3.6-7+b1 amd64 [installed]
    python3-bluez/stable,stable,now 0.23-3 amd64 [installed]
    python3-btrees/stable,stable,now 4.3.1-2+b4 amd64 [installed]
    python3-cairo-dbg/stable,stable,now 1.16.2-4+b2 amd64 [installed]
    python3-cairo/stable,stable,now 1.16.2-4+b2 amd64 [installed]
    python3-casacore/stable,stable,now 3.3.1-1+b4 amd64 [installed]
    python3-certbot-apache/stable,stable,now 1.10.1-1 all [installed,automatic]
    python3-certbot/stable,stable,now 1.12.0-2 all [installed,automatic]
    python3-certifi/stable,stable,now 2020.6.20-1 all [installed,automatic]
    python3-cffi-backend/stable,stable,now 1.14.5-1 amd64 [installed,automatic]
    python3-cffi/stable,stable,now 1.14.5-1 all [installed,automatic]
    python3-chardet/stable,stable,now 4.0.0-1 all [installed,automatic]
    python3-click/stable,stable,now 7.1.2-1 all [installed,automatic]
    python3-colorama/stable,stable,now 0.4.4-1 all [installed,automatic]
    python3-configargparse/stable,stable,now 1.2.3-1 all [installed,automatic]
    python3-configobj/stable,stable,now 5.0.6-4 all [installed,automatic]
    python3-cov-core/stable,stable,now 1.15.0-3 all [installed,automatic]
    python3-coverage/stable,stable,now 5.1+dfsg.1-2+b2 amd64 [installed,automatic]
    python3-cryptography/stable,stable,now 3.3.2-1 amd64 [installed,automatic]
    python3-cups/stable,stable,now 2.0.1-4+b1 amd64 [installed]
    python3-dateutil/stable,stable,now 2.8.1-6 all [installed,automatic]
    python3-dbg/stable,stable,now 3.9.2-3 amd64 [installed,automatic]
    python3-debconf/stable,stable,now 1.5.77 all [installed,automatic]
    python3-debian/stable,stable,now 0.1.39 all [installed,automatic]
    python3-debianbts/stable,stable,now 3.1.0 all [installed,automatic]
    python3-decorator/stable,stable,now 4.4.2-2 all [installed,automatic]
    python3-dev/stable,stable,now 3.9.2-3 amd64 [installed,automatic]
    python3-distro/stable,stable,now 1.5.0-1 all [installed,automatic]
    python3-distutils/stable,stable,now 3.9.2-1 all [installed,automatic]
    python3-erfa/stable,stable,now 1.7.2+ds-1 amd64 [installed,automatic]
    python3-ftdi1/stable,stable,now 1.5-5+b1 amd64 [installed]
    python3-future/stable,stable,now 0.18.2-5 all [installed,automatic]
    python3-gattlib/stable,stable,now 0~20201113-1+b1 amd64 [installed,automatic]
    python3-gevent-dbg/stable,stable,now 20.9.0-2 amd64 [installed]
    python3-gevent/stable,stable,now 20.9.0-2 amd64 [installed]
    python3-gi/stable,stable,now 3.38.0-2 amd64 [installed,automatic]
    python3-greenlet-dbg/stable,stable,now 0.4.17-1+b1 amd64 [installed,automatic]
    python3-greenlet/stable,stable,now 0.4.17-1+b1 amd64 [installed,automatic]
    python3-grpcio/stable,stable,now 1.30.2-3 amd64 [installed]
    python3-gssapi/stable,stable,now 1.6.1-1+b3 amd64 [installed]
    python3-hid/stable,stable,now 0.9.0.post3-2+b2 amd64 [installed]
    python3-http-parser/stable,stable,now 0.9.0-1+b2 amd64 [installed]
    python3-httplib2/stable,stable,now 0.18.1-3 all [installed,automatic]
    python3-hypothesis/stable,stable,now 5.43.3-1 all [installed,automatic]
    python3-icu-dbg/stable,stable,now 2.5-1+b2 amd64 [installed]
    python3-icu/stable,stable,now 2.5-1+b2 amd64 [installed]
    python3-idna/stable,stable,now 2.10-1 all [installed,automatic]
    python3-importlib-metadata/stable,stable,now 1.6.0-2 all [installed,automatic]
    python3-iniconfig/stable,stable,now 1.1.1-1 all [installed,automatic]
    python3-ipython-genutils/stable,stable,now 0.2.0-4 all [installed,automatic]
    python3-ipython/stable,stable,now 7.20.0-1 all [installed,automatic]
    python3-jedi/stable,stable,now 0.18.0-1 all [installed,automatic]
    python3-jinja2/stable,stable,now 2.11.3-1 all [installed,automatic]
    python3-josepy/stable,stable,now 1.2.0-2 all [installed,automatic]
    python3-jpy/stable,stable,now 0.9.0-3+b4 amd64 [installed]
    python3-jpype/stable,stable,now 1.2.1-1 amd64 [installed]
    python3-kdtree-dbg/stable,stable,now 0.7.1+git20101123-5+b4 amd64 [installed]
    python3-kdtree/stable,stable,now 0.7.1+git20101123-5+b4 amd64 [installed]
    python3-kyotocabinet/stable,stable,now 1.22-3+b3 amd64 [installed]
    python3-ldap-dbg/stable,stable,now 3.2.0-4+b3 amd64 [installed]
    python3-ldap/stable,stable,now 3.2.0-4+b3 amd64 [installed]
    python3-ldb/stable-security,now 2:2.2.3-2~deb11u1 amd64 [installed,automatic]
    python3-lib2to3/stable,stable,now 3.9.2-1 all [installed,automatic]
    python3-markupsafe/stable,stable,now 1.1.1-1+b3 amd64 [installed,automatic]
    python3-minimal/stable,stable,now 3.9.2-3 amd64 [installed,automatic]
    python3-more-itertools/stable,stable,now 4.2.0-3 all [installed,automatic]
    python3-newt/stable,stable,now 0.52.21-4+b3 amd64 [installed]
    python3-nose2/stable,stable,now 0.9.2-1 all [installed,automatic]
    python3-nss/stable,stable,now 1.0.1-1+b1 amd64 [installed]
    python3-numpy/stable,stable,now 1:1.19.5-1 amd64 [installed,automatic]
    python3-olefile/stable,stable,now 0.46-3 all [installed,automatic]
    python3-openssl/stable,stable,now 20.0.1-1 all [installed,automatic]
    python3-packaging/stable,stable,now 20.9-2 all [installed,automatic]
    python3-parsedatetime/stable,stable,now 2.6-1 all [installed,automatic]
    python3-parso/stable,stable,now 0.8.1-1 all [installed,automatic]
    python3-persistent/stable,stable,now 4.6.4-0.2 amd64 [installed,automatic]
    python3-pexpect/stable,stable,now 4.8.0-2 all [installed,automatic]
    python3-pickleshare/stable,stable,now 0.7.5-3 all [installed,automatic]
    python3-pil/stable,stable,now 8.1.2+dfsg-0.3 amd64 [installed,automatic]
    python3-pip/stable,stable,now 20.3.4-4 all [installed]
    python3-pkg-resources/stable,stable,now 52.0.0-4 all [installed,automatic]
    python3-pluggy/stable,stable,now 0.13.0-6 all [installed,automatic]
    python3-ply/stable,stable,now 3.11-4 all [installed,automatic]
    python3-prelude/stable,stable,now 5.2.0-3+b1 amd64 [installed]
    python3-prompt-toolkit/stable,stable,now 3.0.14-1 all [installed,automatic]
    python3-protobuf/stable,stable,now 3.12.4-1 amd64 [installed,automatic]
    python3-psutil/stable,stable,now 5.8.0-1 amd64 [installed,automatic]
    python3-ptyprocess/stable,stable,now 0.7.0-1 all [installed,automatic]
    python3-py/stable,stable,now 1.10.0-1 all [installed,automatic]
    python3-pyalsa/stable,stable,now 1.1.6-2+b4 amd64 [installed]
    python3-pyasn1-modules/stable,stable,now 0.2.1-1 all [installed,automatic]
    python3-pyasn1/stable,stable,now 0.4.8-1 all [installed,automatic]
    python3-pyaudio/stable,stable,now 0.2.11-1.3+b1 amd64 [installed]
    python3-pycparser/stable,stable,now 2.20-3 all [installed,automatic]
    python3-pycurl/stable,stable,now 7.43.0.6-5 amd64 [installed,automatic]
    python3-pygments/stable,stable,now 2.7.1+dfsg-2.1 all [installed,automatic]
    python3-pyinotify/stable,stable,now 0.9.6-1.3 all [installed,automatic]
    python3-pyisomd5sum/stable,stable,now 1:1.2.3-4+b4 amd64 [installed]
    python3-pymad-dbg/stable,stable,now 0.10-4+b3 amd64 [installed]
    python3-pymad/stable,stable,now 0.10-4+b3 amd64 [installed]
    python3-pyodbc/stable,stable,now 4.0.30-1+b2 amd64 [installed]
    python3-pyparsing/stable,stable,now 2.4.7-1 all [installed,automatic]
    python3-pyraf/stable,stable,now 2.1.15-2+b4 amd64 [installed]
    python3-pysimplesoap/stable,stable,now 1.16.2-3 all [installed,automatic]
    python3-pytest-arraydiff/stable,stable,now 0.3-1 all [installed,automatic]
    python3-pytest-astropy-header/stable,stable,now 0.1.2-3 all [installed,automatic]
    python3-pytest-astropy/stable,stable,now 0.8.0-1 all [installed,automatic]
    python3-pytest-cov/stable,stable,now 2.10.1-1 all [installed,automatic]
    python3-pytest-doctestplus/stable,stable,now 0.9.0-1 all [installed,automatic]
    python3-pytest-filter-subpackage/stable,stable,now 0.1.1-3 all [installed,automatic]
    python3-pytest-openfiles/stable,stable,now 0.5.0-2 all [installed,automatic]
    python3-pytest-remotedata/stable,stable,now 0.3.2-1 all [installed,automatic]
    python3-pytest/stable,stable,now 6.0.2-2 all [installed,automatic]
    python3-pyxattr-dbg/stable,stable,now 0.7.2-1+b1 amd64 [installed]
    python3-pyxattr/stable,stable,now 0.7.2-1+b1 amd64 [installed]
    python3-qrencode/stable,stable,now 1.2-5+b4 amd64 [installed]
    python3-radix/stable,stable,now 0.10.0-3+b3 amd64 [installed]
    python3-reportbug/stable,stable,now 7.10.3+deb11u1 all [installed,automatic]
    python3-requests-toolbelt/stable,stable,now 0.9.1-1 all [installed,automatic]
    python3-requests/stable,stable,now 2.25.1+dfsg-2 all [installed,automatic]
    python3-rfc3339/stable,stable,now 1.1-2 all [installed,automatic]
    python3-rpy2/stable,stable,now 3.4.2-1 amd64 [installed]
    python3-sane/stable,stable,now 2.9.1-1 amd64 [installed]
    python3-scipy/stable,stable,now 1.6.0-2 amd64 [installed,automatic]
    python3-selinux/stable,stable,now 3.1-3 amd64 [installed]
    python3-sendfile-dbg/stable,stable,now 2.0.1-3+b3 amd64 [installed]
    python3-sendfile/stable,stable,now 2.0.1-3+b3 amd64 [installed,automatic]
    python3-setuptools/stable,stable,now 52.0.0-4 all [installed,automatic]
    python3-sfml/stable,stable,now 2.2~git20150611.196c88+dfsg-6+b3 amd64 [installed]
    python3-silo/stable,stable,now 4.10.2.real-9 amd64 [installed]
    python3-six/stable,stable,now 1.16.0-2 all [installed,automatic]
    python3-smbc/stable,stable,now 1.0.23-1+b1 amd64 [installed]
    python3-smbus/stable,stable,now 4.2-1+b1 amd64 [installed]
    python3-sortedcontainers/stable,stable,now 2.1.0-2 all [installed,automatic]
    python3-stsci.tools/stable,stable,now 3.6.0-1 all [installed,automatic]
    python3-subvertpy/stable,stable,now 0.11.0-1 amd64 [installed]
    python3-systemd/stable,stable,now 234-3+b4 amd64 [installed,automatic]
    python3-talloc/stable,stable,now 2.3.1-2+b1 amd64 [installed,automatic]
    python3-tango/stable,stable,now 9.3.2-1+b1 amd64 [installed]
    python3-tk/stable,stable,now 3.9.2-1 amd64 [installed,automatic]
    python3-toml/stable,stable,now 0.10.1-1 all [installed,automatic]
    python3-traitlets/stable,stable,now 5.0.5-1 all [installed,automatic]
    python3-tz/stable,stable,now 2021.1-1 all [installed,automatic]
    python3-tzlocal/stable,stable,now 2.1-1 all [installed,automatic]
    python3-urllib3/stable,stable,now 1.26.5-1~exp1 all [installed,automatic]
    python3-urwid/stable,stable,now 2.1.2-1 amd64 [installed]
    python3-wcwidth/stable,stable,now 0.1.9+dfsg1-2 all [installed,automatic]
    python3-wheel/stable,stable,now 0.34.2-1 all [installed,automatic]
    python3-wheezy.template/stable,stable,now 0.1.167-2+b4 amd64 [installed]
    python3-yenc/stable,stable,now 0.4.0-8+b3 amd64 [installed]
    python3-zipp/stable,stable,now 1.0.0-3 all [installed,automatic]
    python3-zodbpickle/stable,stable,now 1.0-3+b4 amd64 [installed]
    python3-zope.component/stable,stable,now 4.3.0-3 all [installed,automatic]
    python3-zope.event/stable,stable,now 4.4-3 all [installed,automatic]
    python3-zope.hookable/stable,stable,now 5.0.1-1+b2 amd64 [installed,automatic]
    python3-zope.interface/stable,stable,now 5.2.0-1 amd64 [installed]
    python3.9-dbg/stable,stable,now 3.9.2-1 amd64 [installed,automatic]
    python3.9-dev/stable,stable,now 3.9.2-1 amd64 [installed,automatic]
    python3.9-minimal/stable,stable,now 3.9.2-1 amd64 [installed,automatic]
    python3.9/stable,stable,now 3.9.2-1 amd64 [installed,automatic]
    python3/stable,stab
     

    Attached Files:

    Last edited: Nov 13, 2021
  2. pecka33

    pecka33 Member

    And this i will removed. Any best way how to remove all with one command?

    Code:
    ruby-minitest/stable,stable,now 5.13.0-1 all [installed,automatic]
    ruby-net-telnet/stable,stable,now 0.1.1-2 all [installed,automatic]
    ruby-power-assert/stable,stable,now 1.1.7-2 all [installed,automatic]
    ruby-rack/stable,stable,now 2.1.4-3 all [installed,automatic]
    ruby-rubygems/stable,stable,now 3.2.5-2 all [installed,automatic]
    ruby-test-unit/stable,stable,now 3.3.9-1 all [installed,automatic]
    ruby-xmlrpc/stable,stable,now 0.3.0-2 all [installed,automatic]
    ruby2.1/now 2.1.5-2+deb8u9 amd64 [installed,local]
    ruby2.7/stable,stable,now 2.7.4-1 amd64 [installed,automatic]
    ruby/stable,stable,now 1:2.7+2 amd64 [installed,automatic]
    
     
  3. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I do not know if ISPConfig uses python, but may OS utilities do use python. So removing python completely breaks the system.
    Many packages can be removed by listing them all in one line. Advanced methods involve scripting collecting the names of packages and adding that collection to the command line.
    Code:
    apt remove ruby-minitest ruby-net-telnet ruby-power-assert and so on
    
     
    ahrasis likes this.
  4. pecka33

    pecka33 Member

    Thank you. I tried to remove ruby via command
    Code:
    apt remove ruby-minitest ruby-net-telnet ruby-power-assert ruby-rack ruby-rubygems ruby-test-unit ruby-xmlrpc ruby2.1 ruby2.7 ruby
    but in remove list is wrote
    Code:
    The following packages will be REMOVED:
      libapache2-mod-passenger libruby libruby2.7 passenger rake ruby
      ruby-minitest ruby-net-telnet ruby-power-assert ruby-rack ruby-rubygems
      ruby-test-unit ruby-xmlrpc ruby2.1 ruby2.7 vim-nox
    
    Not sure why there is package libapache2-mod-passenger or passenger rake. Maybe because icnlude ruby? I guess thats not safety to remove this package.

    I tried to run
    Code:
    dpkg -l | grep ruby
    and get

    Code:
    [email protected]:~# dpkg -l | grep ruby
    ii  libruby                              1:2.7+2                                                                   all          Libraries necessary to run Ruby
    ii  libruby2.1:amd64                     2.1.5-2+deb8u9                                                            amd64        Libraries necessary to run Ruby 2.1
    ii  libruby2.7:amd64                     2.7.4-1                                                                   amd64        Libraries necessary to run Ruby 2.7
    ii  rake                                 13.0.3-1                                                                  all          ruby make-like utility
    ii  ruby                                 1:2.7+2                                                                   amd64        Interpreter of object-oriented scripting language Ruby (default version)
    ii  ruby-minitest                        5.13.0-1                                                                  all          Ruby test tools supporting TDD, BDD, mocking, and benchmarking
    ii  ruby-net-telnet                      0.1.1-2                                                                   all          telnet client library
    ii  ruby-power-assert                    1.1.7-2                                                                   all          library showing values of variables and method calls in an expression
    ii  ruby-rack                            2.1.4-3                                                                   all          modular Ruby webserver interface
    ii  ruby-rubygems                        3.2.5-2                                                                   all          Package management framework for Ruby
    ii  ruby-test-unit                       3.3.9-1                                                                   all          unit testing framework for Ruby
    ii  ruby-xmlrpc                          0.3.0-2                                                                   all          XMLRPC library for Ruby
    ii  ruby2.1                              2.1.5-2+deb8u9                                                            amd64        Interpreter of object-oriented scripting language Ruby
    ii  ruby2.7                              2.7.4-1                                                                   amd64        Interpreter of object-oriented scripting language Ruby
    ii  rubygems-integration                 1.18                                                                      all          integration of Debian Ruby packages with Rubygems
    
    Can not see there about libapache2-mod-passenger so i guess this is not include ruby
     
    Last edited: Nov 14, 2021
  5. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    If apt wants to remove libapache2-mod-passenger then likely some of those ruby packages depends on it (that is, when that ruby-something package was installed it installed libapache2-mod-passenger as a dependency. You can read about dependences in Debian and APT documentation). Now that ruby-something package is removed, and libapache2-mod-passenger is removed also. If something else still depended on that package, it would not get removed. So removing libapache2-mod-passenger should be safe.
    Although I do not undestand this desire to remove packages. It is possible to do but requires knowledge of the system and on how APT works. So maybe forget about this removing?
     
  6. pecka33

    pecka33 Member

    Thank you, Taleman. My only goal is that i would like to remove packages which i dont need for running of my VPS. Because when i listed all installed package, I get a lot of them and i would like to use just packages i really use.
    But you are right, maybe will be better forget about this removing.
     

Share This Page